<?php
define('ROOT','./');
define('GCMS',true);
require_once (ROOT.'system/power.php');
switch($mode) {
///Глобальный бан
case 'login':
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' LIMIT 1")-> fetch_assoc();
$erorr = $db -> query("SELECT * FROM `users` WHERE `id` = '1' LIMIT 1")-> fetch_assoc();
$diz -> head('Вы забанены');
$diz -> title(''.$ya['login'].',вы забанены');
if($ban['text']>'')$do ='</br>по причине: '.$ban['text'].'';
$msg.='<div class="fon">';
$msg .='Ваш ник <b>'.$ya['login'].'</b> был забанен '.$func -> user($ban['yaid']).' до '.$func -> times(date('d m Y H:i:s',$ban['bantime'])).' '.$do.'';
if($erorr['email']>'' or $erorr['icq']>'0' or $erorr['skype']>''){$msg .='</br>Если вы считаете,что это какая то ошибка или вас забанили ни за что,обратитесь к создателю сайта</br><b>Контакты<b></br>';}
if($erorr['email']>''){$msg .='<b>email</b>: '.$erorr['email'].'</br>';}elseif
($erorr['icq']>'0'){$msg .='<b>icq</b>: '.$erorr['icq'].'</br>';}elseif
($erorr['skype']>''){$msg .='<b>skype</b>: '.$erorr['skype'].'';}
$msg.='</div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
///Бан по айпи
case 'ip':
$ban = $db -> query("SELECT * FROM `ban` WHERE `iP` = '".$ya['ip']."' LIMIT 1")-> fetch_assoc();
$erorr = $db -> query("SELECT * FROM `users` WHERE `id` = '1' LIMIT 1")-> fetch_assoc();
$diz -> head('Вы забанены');
$diz -> title(''.$ya['login'].',вы забанены');
if($ban['text']>'')$do ='</br>по причине: '.$ban['text'].'';
$msg.='<div class="fon">';
$msg .='Ваш IP <b>'.$ya['ip'].'</b> был забанен '.$func -> user($ban['yaid']).' до '.$func -> times(date('d m Y H:i:s',$ban['bantime'])).' '.$do.'';
if($erorr['email']>'' or $erorr['icq']>'0' or $erorr['skype']>''){$msg .='</br>Если вы считаете,что это какая то ошибка или вас забанили ни за что,обратитесь к создателю сайта</br><b>Контакты<b></br>';}
if($erorr['email']>''){$msg .='<b>email</b>: '.$erorr['email'].'</br>';}elseif
($erorr['icq']>'0'){$msg .='<b>icq</b>: '.$erorr['icq'].'</br>';}elseif
($erorr['skype']>''){$msg .='<b>skype</b>: '.$erorr['skype'].'';}
$msg.='</div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
///Блокировка профайла
case 'blok':
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' LIMIT 1")-> fetch_assoc();
$erorr = $db -> query("SELECT * FROM `users` WHERE `id` = '1' LIMIT 1")-> fetch_assoc();
$diz -> head('Вы забанены');
$diz -> title(''.$ya['login'].',вы забанены');
if($ban['text']>'')$do ='</br>по причине: '.$ban['text'].'';
$msg.='<div class="fon">';
$msg .='Ваш IP <b>'.$ya['ip'].'</b> был забанен '.$func -> user($ban['yaid']).' до '.$func -> times(date('d m Y H:i:s',$ban['bantime'])).' '.$do.'';
if($erorr['email']>'' or $erorr['icq']>'0' or $erorr['skype']>''){$msg .='</br>Если вы считаете,что это какая то ошибка или вас забанили ни за что,обратитесь к создателю сайта</br><b>Контакты<b></br>';}
if($erorr['email']>''){$msg .='<b>email</b>: '.$erorr['email'].'</br>';}elseif
($erorr['icq']>'0'){$msg .='<b>icq</b>: '.$erorr['icq'].'</br>';}elseif
($erorr['skype']>''){$msg .='<b>skype</b>: '.$erorr['skype'].'';}
$msg.='</div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
///Бан на форуме
case 'forum':
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' LIMIT 1")-> fetch_assoc();
$erorr = $db -> query("SELECT * FROM `users` WHERE `id` = '1' LIMIT 1")-> fetch_assoc();
$diz -> head('Вы забанены');
$diz -> title(''.$ya['login'].',вы забанены');
if($ban['text']>'')$do ='</br>по причине: '.$ban['text'].'';
$msg.='<div class="fon">';
$msg .='Вы были забанены на форуме '.$func -> user($ban['yaid']).' до '.$func -> times(date('d m Y H:i:s',$ban['bantime'])).' '.$do.'';
if($erorr['email']>'' or $erorr['icq']>'0' or $erorr['skype']>''){$msg .='</br>Если вы считаете,что это какая то ошибка или вас забанили ни за что,обратитесь к создателю сайта</br><b>Контакты<b></br>';}
if($erorr['email']>''){$msg .='<b>email</b>: '.$erorr['email'].'</br>';}elseif
($erorr['icq']>'0'){$msg .='<b>icq</b>: '.$erorr['icq'].'</br>';}elseif
($erorr['skype']>''){$msg .='<b>skype</b>: '.$erorr['skype'].'';}
$msg.='</div>';
#####Копирайт#######
require_once ('system/kopy.php');
$diz -> out($msg);
break;
//переадресация в случае пустой функции
default:
header('location: '.ROOT.'index.php');
}
?>